Bug 113352 - Default focus of special character group button popup doesnt land on more button
Summary: Default focus of special character group button popup doesnt land on more button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: accessibility
Depends on:
Blocks: a11y Special-Character
  Show dependency treegraph
 
Reported: 2017-10-22 15:15 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-03-01 22:45 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-10-22 15:15:15 UTC
steps:
1. open writer
2. click insert table group button
3. notice focus is on 'more options' button
4. click insert special characters group button
5. notice focus isnt on the button

The glade code is set for it to receive default focus, but it still isnt receiving it.

https://opengrok.libreoffice.org/xref/core/sfx2/uiconfig/ui/charmapcontrol.ui#421

Version: 6.0.0.0.alpha1+
Build ID: 118a0a3734a3f794c67a9d7d4376d8ed78a96fee
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 raal 2017-10-23 16:55:20 UTC
I can confirm with Version: 6.0.0.0.alpha1+
Build ID: d76c4e5c9aaf8bd27ec97679bcaeba5b18aca493
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk3; 

focus is on the first item of favourites.
Comment 2 QA Administrators 2018-10-24 02:56:18 UTC Comment hidden (obsolete)
Comment 3 Alex ARNAUD 2019-03-01 16:30:27 UTC
I'm not sure to understand exactly this issue, I don't see a more button on the special character dialog on LibreOfficeDev 6.3 built this week.

@Buovjaga : Do you confirm what I'm thinking ?

Best regards,
Alex.
Comment 4 Buovjaga 2019-03-01 17:26:48 UTC
The focus is now correctly on the "More options" button, when I click on the toolbar button. Both with gtk2 and gtk3.

Arch Linux 64-bit
Version: 6.3.0.0.alpha0+
Build ID: d559c28e9e65f3be415ec2e36ee90aa147e65b84
CPU threads: 8; OS: Linux 4.20; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 1 March 2019
Comment 5 Aron Budea 2019-03-01 20:24:23 UTC
This accidentally started working after the following commit, which resulted in bug 123793. Let's call it fixed for now, but simply fixing bug 123793 will make this bug return.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3014e5f362c77c546452d45fcde96fcbae27235e
author		Caolán McNamara <caolanm@redhat.com>	2018-04-29 21:15:22 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-04-30 11:41:54 +0200

hook up can-focus to ability to tab into the widget
Comment 6 Aron Budea 2019-03-01 22:45:29 UTC
(In reply to Alex ARNAUD from comment #3)
> I'm not sure to understand exactly this issue, I don't see a more button on
> the special character dialog on LibreOfficeDev 6.3 built this week.
Alex, this bug is about the Insert Special Characters group button. Clicking on it shows a dropdown with the favorite entries from the dialog, the recently entered special characters, and a button that opens the dialog (named More Characters...).

Previously the focus was on the first favorite character, and it was possible to tab through the favorites. Currently the focus is on the button, and it's not possible to reach the other special characters (favorites / recent ones) on this group button using the keyboard. I opened bug 123793 on this issue.